Jump to content

Search the Community

Showing results for tags 'z coordinates'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 2 results

  1. Hello, Could you help me with the following question? I would like to filter all the texts and multileaders at Z=0. I could solve it for texts by using the following code, but it does not work for multileaders when I simply change TEXT to MULTILEADER. How could I do it? (sslength (ssget "X" '((0 . "*TEXT") (-4 . "*,*,=") (10 0.0 0.0 0.0)))) Thanks a lot, Cs.
  2. teknomatika

    Help fixing a routine

    Greetings. I have a simple routine that allows to write the Z coordinates in a profile. It works, but if I'm working in an area with a small zoom, it has a behavior that distorts the triangle or does not ensure the removal of the text relative to the upper base of the triangle. If the zoom is further reduced, the triangle is not even designed. Appreciate your help for its optimization. My knowledge is limited. There are not enough to resolve the difficulty.. ;; (defun c:LEVZ(/ factesc cotorig defy defyn p1 p2 p3 cotorigt x1 y1 yf z1 yfinal ) (setq factesc (getreal "INSERT SCALE FACTOR (HIGHT STANDARD 0.20): ")) (if (= factesc nil) (setq factesc 1) ) (setq cotorig (getpoint "SELECT POINT: ")) (setq defy (cdr cotorig)) (setq defyn(car defy)) (setq p1 (polar cotorig 0.785398 (* factesc 0.62))) (setq p2 (polar p1 3.141593 (* factesc 0.88))) (setq p3 (polar p2 -0.785398 (* factesc 0.62))) (command "layer" "new" "Cotas_Nível" "color" "103" "Cotas_Nível" "") (command "layer" "set" "Cotas_Nível" "") (command "_Pline" "_non" p1 p2 P3 "C") (setq cotorigt (polar p2 1.570796 (* factesc 0.05))) (setq x1 (car cotorigt)) (setq y1 (cadr cotorigt)) (setq yf (+ y1 0.05)) (setq z1 (caddr cotorigt)) (setq yfinal (list x1 yf z1)) (command "text" yfinal (* factesc 0.20) 0 (rtos defyn 2 2)) (princ) ) (prompt "\ntYPE: LEVZ")
×
×
  • Create New...